*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #d51b6c;
    min-height: 100vh;
    font-family: 'Calibri', sans-serif;
    transition: .5s ease;
}

.navigation{
    width: 4em;
    height: 20em;
    padding: 2em 0;
    background-color: #f8f7f4;
    border-radius: 3em;
}

.navigation ul{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
    height: 100%;
    list-style-type: none;
}

.navigation ul li{
    position: relative;
    width: 3em;
    height: 3em;
    border-radius: 50%;
    transition: .5s ease;
}

.navigation ul li::before{
    content: var(--i);
    position: absolute;
    padding: 5px 10px;
    background-color: white;
    opacity: 0;
    top: 50%;
    left: 8em;
    transform: translateY(-50%);
    transition: .5s ease;
    border-radius: 5px;
}

.navigation ul li::after{
    content: '';
    position: absolute;
    border-top: 8px solid transparent;
    border-right: 10px solid white;
    border-bottom: 8px solid transparent;
    opacity: 0;
    top: 50%;
    left: 7.5em;
    transform: translateY(-50%);
    transition: .5s ease;
}
.navigation ul li:hover::before{
    left: 5em;
    opacity: 1;
}

.navigation ul li:hover::after{
    left: 4.5em;
    opacity: 1;
}

.navigation ul li.active{
    background-color: #d51b6c;
}

.navigation ul li.active i{
    color: white;
}

.navigation ul li i{
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 1.3em;
    transform: translate(-50%, -50%);
    transition: .5s ease;
}